.popup-container {
    border-radius: var(--popup-border-radius);
    border: 1px solid var(--popup-border);

    background: var(--popup-bg);

    box-shadow: 0 11px 15px -7px rgba(0, 0, 0, 0.2), 0px 24px 38px 3px rgba(0, 0, 0, 0.14), 0px 9px 46px 8px rgba(0, 0, 0, 0.12);
    overflow: hidden;
    height: 100%;

    display: flex;
    flex-direction: column;

    .popup-header {
        position: relative;
        padding: 0.5rem 3rem 0.5rem 1rem;

        border-bottom: 1px solid var(--border);
        box-sizing: border-box;

        display: flex;
        align-items: center;
        justify-content: space-between;

        background: var(--panel-header-bg);

        h3 {
            font-size: 1.2rem;
            color: var(--text-color);
            line-height: 2rem;
        }
    }

    .popup-header-actions {
        position: absolute;
        top: 0.5rem;
        right: 0.5rem;
        z-index: 1;
        display: flex;

        button {
            width: 2rem;
            height: 2rem;
            border-radius: 1rem;

            display: flex;
            align-items: center;
            justify-content: center;
            background-color: transparent;
            transition: background-color .3s;

            color: var(--text-color);

            &:hover {
                background-color: var(--contrast-highlight);
            }

            cursor: pointer;
        }

    }

    .popup-body {
        box-sizing: border-box;
        //height: calc(100% - 35px);
        //padding: 1rem;

        //background: var(--background-color);
    }

    .popup-footer {
        .popup-footer-content {

            padding: 1rem;
            text-align: center;

            border-top: 1px solid var(--border);
            background: var(--panel-footer-bg);

            button {
                margin: 0 .25rem;
            }
        }
    }

    .empty-popup-footer {
        height: var(--popup-border-radius);
    }
}

